#include "mg4300.h"
USE LF_MOVMAG KEY 4 BY SORT_FIELD
JOIN LF_RMOVMAG TO LF_MOVMAG KEY 2 INTO NUMREG==NUMREG
JOIN CAU TO LF_MOVMAG ALIAS ALIAS_CAUSALI INTO CODTAB==CODCAUS
JOIN LF_ANAMAG TO LF_RMOVMAG INTO CODART==CODART
END
	
DESCRIPTION
BEGIN
    47->* "Anagrafica articoli"
    109->* "Archivio Giacenze"
    MAG->* "Tabella magazzini"
    110->* "Movimenti di magazzino"
    111->* "Righe Movimenti di magazzino"
    49->* "Unit di misura articoli"
END

GENERAL
BEGIN
    OFFSET 0 0
    CARATTERE "X"
    INIZIALE 5 2
    FINALE 133
END

SECTION HEADER ODD 5
	STRINGA 1 40 1
	BEGIN
	 KEY "nome ditta"
	 PROMPT  1 1 "Ditta "
	 MESSAGE _DITTA, !RAGSOC
	END
	
	STRINGA 2 10
	BEGIN
	 KEY "Data"
	 PROMPT  120 1 "Data "
	 MESSAGE _TODAY
	END
	
	NUMERO 3 7
	BEGIN
	 KEY "Nr. pagina"
	 PROMPT  137 1 "Pagina "
	 MESSAGE _PAGENO
	END
	
	STRINGA 4 45
	BEGIN
	 KEY "Intestazione stampa"
	 PROMPT  45 2 "Stampa schede di magazzino :"
	 MESSAGE _USER,TIPOSCHEDA
	END
	
	STRINGA 5 146
	BEGIN
	  KEY "Separatore (iniziale)"
	  PROMPT 1 3 "------------------------------------------------------------------------------------------------------------------------------------------------------"
	END
	STRINGA 6 12
	BEGIN
		PROMPT 27 4 "UM"
	END
	NUMBER 7 12
	BEGIN
		PROMPT 31 4 "Quantit"
	END
	NUMBER 8 12
	BEGIN
		PROMPT 42 4 "Prezzo"
	END
	NUMBER 9 12
	BEGIN
		PROMPT 54 4 "Valore"
	END
	STRINGA 5 146
	BEGIN
	  KEY "Separatore (iniziale)"
	  PROMPT 1 5 "------------------------------------------------------------------------------------------------------------------------------------------------------"
	END
END

SECTION BODY ODD 0
	SECTION HEADER_RAGG_CRONO 1 2 2 GROUP
		STRINGA 101 30
		BEGIN
			PROMPT 1 1 ">>> NUM:"
			MESSAGE _STREXPR,LF_MOVMAG->NUMREG
		END
		STRINGA 102 30
		BEGIN
			PROMPT 1 2 ">>>DATA:"
			MESSAGE _STREXPR,LF_MOVMAG->DATACOMP
		END
	END

	SECTION RAGG_CRONOLOGICO 1 0 0 FILE LF_MOVMAG GROUP DATACOMP
	
		SECTION RIGHE_MOV 1 0 0 FILE LF_RMOVMAG

			SECTION HEADER_RAGG_FISC 1 2 2 GROUP
				STRINGA 100 30
				BEGIN
					PROMPT 1 1 ">>> NUM:"
					MESSAGE _STREXPR,LF_MOVMAG->NUMREG
				END
				STRINGA 100 30
				BEGIN
					PROMPT 1 2 ">>>DATA:"
					MESSAGE _STREXPR,LF_MOVMAG->DATACOMP
				END
			END
			
			SECTION RAGG_FISCALE 1 0 1 FILE LF_RMOVMAG GROUP CODART

				STRINGA 100 30
				BEGIN
					PROMPT 1 1 ">>>"
					MESSAGE _STREXPR,LF_RMOVMAG->NUMREG+LF_RMOVMAG->CODART+"/"+LF_RMOVMAG->LIVGIAC+":"+LF_RMOVMAG->CODMAG
				END
		
				STRINGA 101 12
					BEGIN
					PROMPT 27 1 ""
					FIELD LF_RMOVMAG->UM
				END

				NUMBER 104 12
				BEGIN
					PROMPT 42 1 ""
					PICTURE "###.###.###"
					FIELD LF_RMOVMAG->PREZZO
				END
				NUMBER 103 12
					BEGIN
					PROMPT 31 1 ""
					PICTURE "###.###,@##"
					MESSAGE _NUMEXPR,#FF_QUANTRIGA
				END
				NUMBER 105 12
				BEGIN
					PROMPT 54 1 ""
					PICTURE "###.###.###"
					MESSAGE _NUMEXPR,LF_RMOVMAG->QUANT*LF_RMOVMAG->PREZZO|_USER,*SEGNOCAUS
				END
			END // RAGG FISCALE
		END // CICLO RMOV
	END // RAGG CRONOLOGICO			
END // BODY: CICLO MOV

SECTION FOOTER ODD 2
	STRINGA 100
	BEGIN
		KEY "NUMP"
		PROMPT 50 1 "-----"
	END

	NUMERO 101
	BEGIN
		KEY "NUMPAGE"
		PROMPT 50 2 ""
		MESSAGE _PAGENO
		PICTURE "-###-"
	END

END

